Bug 165387 - Athlon 64 X2 Dual Cores can't use Usermode speed governor
Athlon 64 X2 Dual Cores can't use Usermode speed governor
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 14:52 EDT by Joshua Rosen
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Rosen 2005-08-08 14:52:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
The usermode speed governor can't be used with the Athlon 64 X2 dual core chips because it can cause the the cores to get out of sync with with each other. When the cores are running at different clock speeds there are system crashes and other bad behavior. I had both a system crash and a kernel Make fail with an error message about unreproducible results caused by a hardware error. The kernel reports Powernow out of sync errors. 

Setting the speed governors of both CPUs to performance fixed the problem. 

Currently the kernel won't load the ondemand speed governor on the X2. In the long run the right solution is for a dual core friendly ondemand speed governor to be put into the kernel. This has to be a kernel function because the clock speeds of both core must be changed simultaneously. Actually this is really an AMD cockup, they should have had a single speed control register for the whole chip, but given that they've already shipped the X2 the only practical solution is for the kernel to change the speeds of both cores in an uninterruptable call.


Version-Release number of selected component (if applicable):
All current kernels

How reproducible:
Sometimes

Steps to Reproduce:
1.When the default usermode speed governor is in use
2.will happen if one processor goes to a different clock speed then the other.
3.
  

Additional info:

ug  7 20:15:46 nimitz kernel: Warning: CPU frequency out of sync: cpufreq and timing core thinks of 1000000, is 2200000 kHz.
Aug  7 20:15:55 nimitz kernel: powernow-k8: error - out of sync, fid 0xe 0x2, vid 0xa 0x12
Comment 1 Dave Jones 2005-08-26 03:18:22 EDT
Please retry with the latest update from updates-testing, there was a dual-core
powernow fix there.
Comment 2 Dave Jones 2005-12-07 02:54:42 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.